# Generated by Django 2.2.4 on 2019-09-16 11:58

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('collection', '0007_collection_image'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='collection',
            name='filters',
        ),
        migrations.RemoveField(
            model_name='collection',
            name='selectors',
        ),
        migrations.RemoveField(
            model_name='collection',
            name='targets',
        ),
        migrations.RemoveField(
            model_name='collectionitem',
            name='item_ids',
        ),
        migrations.RemoveField(
            model_name='collectionitem',
            name='item_type',
        ),
        migrations.AddField(
            model_name='collection',
            name='collection_type',
            field=models.PositiveSmallIntegerField(choices=[(0, 'Ordinary'), (1, 'Pop')], default=0, verbose_name='Collection type'),
        ),
        migrations.AddField(
            model_name='collectionitem',
            name='content_type',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='contenttypes.ContentType'),
        ),
        migrations.AddField(
            model_name='collectionitem',
            name='object_id',
            field=models.PositiveIntegerField(blank=True, default=None, null=True),
        ),
    ]
